Subject: Re: [Question] Moving from Python2 to Python3

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Mar 2025 16:19:38 -0700

Nikolay Shustov <[email-masked]> writes:

> git-p4 is designed to work both with Python 2 and Python 3.
>
> However, changing just PYTHONPATH may not to be good enough.
>
> In general, it is necessary to make having PYTHONPATH value and the
> version of Python executable which application is run by, to be
> coherent: Python executable has to be able to work correctly with the
> libraries PYTHONPATH points to.

Hmph, but isn't that the core competence of those who package Python
to their target system?  If we run something with /usr/bin/python3,
without any strange customization, that binary ought to know where
it should pull its associated standard library files from, and we as
the language users do not have to worry about it, no?